QwtAlphaColorMap(3)

NAME
QwtAlphaColorMap - QwtAlphaColorMap varies the alpha value of a color.

SYNOPSIS

#include <qwt_color_map.h>

Inherits QwtColorMap.

  Public Member Functions
QwtAlphaColorMap (const QColor &=QColor(Qt::gray))
Constructor.
virtual ~QwtAlphaColorMap ()
Destructor.
void setAlphaInterval (int alpha1, int alpha2)
int alpha1 () const
int alpha2 () const
void setColor (const QColor &)
QColor color () const
virtual QRgb rgb (const QwtInterval &, double value) const override
Map a value of a given interval into a alpha value.

  Additional Inherited Members

Detailed Description

QwtAlphaColorMap varies the alpha value of a color.

Definition at line 147 of file qwt_color_map.h.

Constructor & Destructor Documentation

  QwtAlphaColorMap::QwtAlphaColorMap (const QColor & color = QColor( Qt::gray )) [explicit]

Constructor. The alpha interval is initialized by 0 to 255.

Parameters
    color Color of the map

See also
    setColor(), setAlphaInterval()

Definition at line 539 of file qwt_color_map.cpp.

Member Function Documentation

  int QwtAlphaColorMap::alpha1 () const

Returns
    First alpha coordinate

See also
    setAlphaInterval()

Definition at line 600 of file qwt_color_map.cpp.

  int QwtAlphaColorMap::alpha2 () const

Returns
    Second alpha coordinate

See also
    setAlphaInterval()

Definition at line 609 of file qwt_color_map.cpp.

  QColor QwtAlphaColorMap::color () const

Returns
    the color

See also
    setColor()

Definition at line 571 of file qwt_color_map.cpp.

  QRgb QwtAlphaColorMap::rgb (const QwtInterval & interval, double value) const [override], [virtual]

Map a value of a given interval into a alpha value.

Parameters
    interval Range for all values
    value Value to map into a RGB value

Returns
    RGB value, with an alpha value

Implements QwtColorMap.

Definition at line 622 of file qwt_color_map.cpp.

  void QwtAlphaColorMap::setAlphaInterval (int alpha1, int alpha2)
Set the interval for the alpha coordinate

alpha1/alpha2 need to be in the range 0 to 255, where 255 means opaque and 0 means transparent.

Parameters
    alpha1 First alpha coordinate
    alpha2 Second alpha coordinate

See also
    alpha1(), alpha2()

Definition at line 587 of file qwt_color_map.cpp.

  void QwtAlphaColorMap::setColor (const QColor & color)
Set the color

Parameters
    color Color

See also
    color()

Definition at line 558 of file qwt_color_map.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.